This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 45696 - XM MSBuild is not copying in resx localization output into bundle
Summary: XM MSBuild is not copying in resx localization output into bundle
Status: RESOLVED FIXED
Alias: None
Product: Xamarin.Mac
Classification: Desktop
Component: MSBuild (show other bugs)
Version: Master
Hardware: PC Mac OS
: Normal normal
Target Milestone: (C10)
Assignee: Timothy Risi
URL:
Depends on:
Blocks:
 
Reported: 2016-10-19 14:50 UTC by Chris Hamons
Modified: 2017-06-13 16:10 UTC (History)
6 users (show)

See Also:
Tags: ExPT, xamexttriage
Is this bug a regression?: ---
Last known good build:


Attachments
Example (352.08 KB, application/zip)
2016-10-19 14:50 UTC, Chris Hamons
Details

Description Chris Hamons 2016-10-19 14:50:09 UTC
Created attachment 18125 [details]
Example

See attached zip file:

We are generating the resx file correctly:

Target GenerateSatelliteAssemblies:
        Created directory "obj/x86/Debug/es"
        Tool /Library/Frameworks/Mono.framework/Versions/4.6.1/lib/mono/4.5/al.exe execution started with arguments:  /culture:es /embed:obj/x86/Debug/ResxTest.AppResources.MyResources.es.resources /out:obj/x86/Debug/es/ResxTest.resources.dll

but are not copying it into the bundle.

 $ mv -r es/ ResxTest.app/Contents/MonoBundle/

"fixes" things.
Comment 2 Timothy Risi 2017-01-13 23:00:05 UTC
PR opened: https://github.com/xamarin/xamarin-macios/pull/1500
Comment 3 Timothy Risi 2017-02-01 19:45:13 UTC
Fixed by https://github.com/xamarin/xamarin-macios/pull/1500

Note You need to log in before you can comment on or make changes to this bug.